Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class LayerList

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.LayerList

All Implemented Interfaces:
  AVList, WWObject, PropertyChangeListener, Iterable<Layer>, EventListener

    public class LayerList

extends WWObjectImpl
implements Iterable<Layer>

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`LayerList()`
`LayerList(Layer[] layers)`

Method Summary
`void` | `add(Layer layer)`
`int` | `getSize()`
`Iterator<Layer>` | `iterator()`
`void` | `remove(Layer layer)`
`String` | `toString()`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### LayerList

    public LayerList()

### LayerList

    public LayerList(Layer[] layers)

Method Detail

### add

    public void add(Layer layer)

### getSize

    public int getSize()

### iterator

    public Iterator<Layer> iterator()

  Specified by:
    `iterator` in interface `Iterable<Layer>`

### remove

    public void remove(Layer layer)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD